@import "abstracts/abstracts";

:host {
  display: none;

  .wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: $white;
    box-shadow: 0 2px 20px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px $outline;
    border-radius: 100%;
    padding: 4px;
    position: absolute;
    top: -7px;
    right: -7px;
    width: 20px;
    height: 20px;
    cursor: pointer;
    z-index: $z-index-pending-access-request-button;

    .icon {
      margin: 0;

      &.pending {
        color: $info;
      }

      &.refused {
        color: $red;
      }

      &.approved {
        color: $success;
      }

      ::ng-deep {
        .mat-icon {
          top: 0 !important;
        }
      }
    }
  }
}

:host(.visible) {
  display: contents;
}
